List a user's transfers
curl --request GET \
--url https://api.agentcard.sh/api/v2/wallet_transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentcard.sh/api/v2/wallet_transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentcard.sh/api/v2/wallet_transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentcard.sh/api/v2/wallet_transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentcard.sh/api/v2/wallet_transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentcard.sh/api/v2/wallet_transfers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentcard.sh/api/v2/wallet_transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "wallet_transfer",
"id": "<string>",
"status": "pending_approval",
"from_user_id": "<string>",
"to_user_id": "<string>",
"amount_cents": 123,
"currency": "usd",
"description": "<string>",
"approval_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"decision": {
"type": "approved",
"decided_at": "2023-11-07T05:31:56Z",
"method": "<string>",
"country": "<string>"
},
"tx_hash": "<string>",
"failure_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>",
"field_errors": {},
"warnings": [
"<string>"
],
"status": "<string>",
"reason": "<string>",
"reason_code": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>",
"field_errors": {},
"warnings": [
"<string>"
],
"status": "<string>",
"reason": "<string>",
"reason_code": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>",
"field_errors": {},
"warnings": [
"<string>"
],
"status": "<string>",
"reason": "<string>",
"reason_code": "<string>"
}
}Wallet transfers
List a user's transfers
The transfers a user sent or received.
GET
/
api
/
v2
/
wallet_transfers
List a user's transfers
curl --request GET \
--url https://api.agentcard.sh/api/v2/wallet_transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentcard.sh/api/v2/wallet_transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentcard.sh/api/v2/wallet_transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentcard.sh/api/v2/wallet_transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentcard.sh/api/v2/wallet_transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentcard.sh/api/v2/wallet_transfers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentcard.sh/api/v2/wallet_transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "wallet_transfer",
"id": "<string>",
"status": "pending_approval",
"from_user_id": "<string>",
"to_user_id": "<string>",
"amount_cents": 123,
"currency": "usd",
"description": "<string>",
"approval_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"decision": {
"type": "approved",
"decided_at": "2023-11-07T05:31:56Z",
"method": "<string>",
"country": "<string>"
},
"tx_hash": "<string>",
"failure_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>",
"field_errors": {},
"warnings": [
"<string>"
],
"status": "<string>",
"reason": "<string>",
"reason_code": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>",
"field_errors": {},
"warnings": [
"<string>"
],
"status": "<string>",
"reason": "<string>",
"reason_code": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"docs": "<string>",
"field_errors": {},
"warnings": [
"<string>"
],
"status": "<string>",
"reason": "<string>",
"reason_code": "<string>"
}
}The 20 most recent transfers a user sent or received, newest first.